{% extends "base.html" %}

<body>
  {% block content %}
  <main>
      <h1 class="main-header">Lessons and Payments</h1>
      <div class="main-table"></div>
        <table class="content-table table">
          <thead>
            <th>Name</th>
            <th>Date</th>
            <th>Time</th>
            <th>Paid?</th>
          </thead>
          <tbody>
            {% for lesson in lessons %}
            <tr>
              {% if user.is_superuser %}
              <td><a href="{% url "edit_lesson" lesson.id %}">{{ lesson.name }}</a></td>
              {% else %}
              <td><a href="{% url "lessons_detail" lesson.id %}">{{ lesson.name }}</a></td>
              {% endif %}
              <td>{{ lesson.date }}</td>
              <td>{{ lesson.time }}</td>
              <td>{{ lesson.paid|yesno }}</td>
            </tr>
            {% endfor %}
          </tbody>
        </table>

        <div class="new-button" onclick="window.location.href='{% url 'create_lesson' %}';">Add a new lesson</div>

        <br>
        <table class="content-table table">
          <thead>
            <th>Name</th>
            <th>Date</th>
            <th>Amount</th>
          </thead>
          <tbody>
            {% for payment in payments %}
            <tr>
              {% if user.is_superuser %}
              <td><a href="{% url "edit_payment" payment.id %}">{{ payment.name }}</a></td>
              {% else %}
              <td>{{ payment.name }}</td>
              {% endif %}
              <td>{{ payment.date }}</td>
              <td>{{ payment.amount }}</td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
        <div class="new-button button" onclick="window.location.href='{% url 'create_payment' %}';">Add a new payment
        </div>
      </div>
      <br>
      <h3 style="padding-left: 16px;">You have taught {{ lessons|length }} lessons. Congratulations!</h3>
  </main>
  {% endblock content %}
</body>
